Subject: bug#26302: Multilingual web site is on-line!

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Mon, 27 Jul 2020 18:01:01 +0200

On Sun, Jul 26, 2020 at 08:58:11PM +0200, pelzflorian (Florian Pelz) wrote:
> Ohh sorry, the manual disappeared.  I suppose it is built in /srv/…/manual/?

Thank you Ludo for fixing this!

> > Should we publicize a process to contribute translations?  It could be a
> > page on the web site linked from the bottom of each page or something.
> > Thoughts?
> 
> One way would be to tar up the website and send it to the Translation
> Project.  I don’t know about the status of the Weblate plans.

I would suggest sending a tar archive with the website directory of
guix-artwork to the TP once more (ideally along with a current tarball
of Guix proper).  Also I think even if once we use different
technology like Weblate instead of the TP, the TP should remain the
go-to place for our translators, because it is where many other
projects’ translators gather.

> > It would also be nice to have a blog post mentioning this, perhaps
> > explaining the tools behind it, and why we think it matters.  I could
> > contribute a paragraph on linguistic diversity.  :-)
> > 
> > Thanks!
> > 
> > Ludo’.
> 
> So far I think Guix always needs more users and translations help.
> Also Scheme’s homoiconicity makes it easy to write translation macros.
> I will think some more what I could say about this tomorrow.

Please find attached a first draft blog post.

Regards,
Florian